FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
fir::detail::TypeAttributeStorage Struct Reference

An attribute representing a reference to a type. More...

Inheritance diagram for fir::detail::TypeAttributeStorage:

## Public Types
using | KeyTy = mlir::Type

## Public Member Functions
| TypeAttributeStorage (mlir::Type value)
bool | operator== (const KeyTy &key) const
| Key equality function.
mlir::Type | getType () const

## Static Public Member Functions
static TypeAttributeStorage * | construct (mlir::AttributeStorageAllocator &allocator, KeyTy key)
| Construct a new storage instance.

## Detailed Description

An attribute representing a reference to a type.

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRAttr.cpp